JBoss API: Interface J2eeDeployerMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface J2eeDeployerMBean

All Superinterfaces:
  DeployerMBean, Service, ServiceMBean

All Known Implementing Classes:
  J2eeDeployer

public interface J2eeDeployerMBean
extends DeployerMBean

Version:
  $Revision: 1.4.4.1 $
Author:
  Daniel Schulze (daniel.schulze@telkel.com), Toby Allsopp (toby.allsopp@peace.com)
See Also:

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getDeployerName()`
`java.lang.String` | `getJarDeployerName()`
`java.lang.String` | `getWarDeployerName()`
`void` | `setDeployerName(java.lang.String name)`
`void` | `setJarDeployerName(java.lang.String jarDeployerName)`
`void` | `setWarDeployerName(java.lang.String warDeployerName)`

Methods inherited from interface org.jboss.deployment.DeployerMBean
`deploy, getDeployableFilter, isDeployed, undeploy`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setDeployerName

    public void setDeployerName(java.lang.String name)

### getDeployerName

    public java.lang.String getDeployerName()

### setJarDeployerName

    public void setJarDeployerName(java.lang.String jarDeployerName)

### getJarDeployerName

    public java.lang.String getJarDeployerName()

### setWarDeployerName

    public void setWarDeployerName(java.lang.String warDeployerName)

### getWarDeployerName

    public java.lang.String getWarDeployerName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.